Bug 25363 - Merge common.js with staff-global.js
Summary: Merge common.js with staff-global.js
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 19290
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-04 01:10 UTC by Owen Leonard
Modified: 2020-11-30 21:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 25363: Merge common.js with staff-global.js (6.64 KB, patch)
2020-05-04 13:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25363: Merge common.js with staff-global.js (6.69 KB, patch)
2020-05-05 22:19 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25363: Merge common.js with staff-global.js (6.75 KB, patch)
2020-06-11 12:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-05-04 01:10:20 UTC
In the staff interface templates we include both staff-global.js and common.js globally. I don't see any reason why they need to be two files.
Comment 1 Owen Leonard 2020-05-04 13:41:51 UTC
Created attachment 104280 [details] [review]
Bug 25363: Merge common.js with staff-global.js

This patch merges the contents of common.js with staff-global.js. Both
are included globally in the staff interface, and there doesn't seem to
be any reason to require that the user downloads two different
JavaScript files.

To test, apply the patch and perform a catalog search in the staff
client.

View the detail page for a title in the search results. On the detail
page you should see navigation controls in the sidebar for browsing
through search results. Confirm they work correctly.
Comment 2 Lucas Gass 2020-05-05 22:19:42 UTC
Created attachment 104388 [details] [review]
Bug 25363: Merge common.js with staff-global.js

This patch merges the contents of common.js with staff-global.js. Both
are included globally in the staff interface, and there doesn't seem to
be any reason to require that the user downloads two different
JavaScript files.

To test, apply the patch and perform a catalog search in the staff
client.

View the detail page for a title in the search results. On the detail
page you should see navigation controls in the sidebar for browsing
through search results. Confirm they work correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-06-11 12:51:36 UTC
Created attachment 105751 [details] [review]
Bug 25363: Merge common.js with staff-global.js

This patch merges the contents of common.js with staff-global.js. Both
are included globally in the staff interface, and there doesn't seem to
be any reason to require that the user downloads two different
JavaScript files.

To test, apply the patch and perform a catalog search in the staff
client.

View the detail page for a title in the search results. On the detail
page you should see navigation controls in the sidebar for browsing
through search results. Confirm they work correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-06-15 09:59:43 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-06-17 23:32:32 UTC
backported to 20.05.x for 20.05.01
Comment 6 Aleisha Amohia 2020-06-22 04:39:32 UTC
enhancement, not backported to 19.11.x